# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetAttribute

Function

Retrieves a named attribute from an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXGetAttribute(Object o, char *name)

Functional Details

Retrieves the attribute specified by the string `name` from Object `o`.

Return Value

Returns the Object associated with the attribute name or returns `NULL` without setting an error code.

See Also

`DXGetEnumeratedAttribute, DXGetFloatAttribute, DXGetIntegerAttribute, DXGetStringAttribute, DXSetAttribute, DXDeleteAttribute, DXSetFloatAttribute, DXSetIntegerAttribute, DXSetStringAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]